From: Sebastian Ramacher <sebastian@ramacher.at>
Date: Mon, 10 Dec 2018 22:59:20 +0100
Subject: Remove settings based on ARCH

---
 media_driver/cmake/linux/media_compile_flags_linux.cmake | 11 -----------
 1 file changed, 11 deletions(-)

diff --git a/media_driver/cmake/linux/media_compile_flags_linux.cmake b/media_driver/cmake/linux/media_compile_flags_linux.cmake
index 6d6ef03..f9f8427 100755
--- a/media_driver/cmake/linux/media_compile_flags_linux.cmake
+++ b/media_driver/cmake/linux/media_compile_flags_linux.cmake
@@ -69,9 +69,6 @@ set(MEDIA_COMPILER_FLAGS_COMMON
     -ffunction-sections
     -Wl,--gc-sections
 
-    # -m32 or -m64
-    -m${ARCH}
-
     # Global defines
     -DLINUX=1
     -DLINUX
@@ -91,14 +88,6 @@ if(${UFO_MARCH} STREQUAL "slm")
     )
 endif()
 
-if(${ARCH} STREQUAL "64")
-    set(MEDIA_COMPILER_FLAGS_COMMON
-        ${MEDIA_COMPILER_FLAGS_COMMON}
-        -D_AMD64_
-        -D__CT__
-    )
-endif()
-
 if(NOT ${PLATFORM} STREQUAL "android")
     set(MEDIA_COMPILER_FLAGS_COMMON
         ${MEDIA_COMPILER_FLAGS_COMMON}
